Get all rentable item assignments
https://api.propexo.com/v1/rentable-item-assignments/Get all rentable item assignments. This is the source of assignment history, including lease linkage, start/end dates, and status. GET /v1/rentable-items remains an inventory view.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the rentable item
The Propexo unique identifier for the lease
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the rentable item assignment
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
P10-a233a3a-48a7-47cc-9124-d46669cb1a71The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
v233a3a-48a7-47cc-9124-d46669cb1a71The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RESMAN
nullThe external ID of the rentable item from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
P10The external ID of the lease from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
a233a3a-48a7-47cc-9124-d46669cb1a71The start date associated with the rentable item assignment
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
2024-03-01T00:00:00.000ZThe end date associated with the rentable item assignment
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
2025-03-01T00:00:00.000ZThe amount of the rentable item assignment, in cents
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
10000The raw value for amount from the PMS
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
100The raw status associated with the rentable item assignment
This field will always be null for RESMAN
nullcustom_data object | nullrequired
The Propexo unique identifier for the rentable item
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
cmgjprasv79183794371b9g9kvrcrejwThe Propexo unique identifier for the lease
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/rentable-item-assignments/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "P10-a233a3a-48a7-47cc-9124-d46669cb1a71",
"x_property_id": "v233a3a-48a7-47cc-9124-d46669cb1a71",
"x_location_id": null,
"x_rentable_item_id": "P10",
"x_lease_id": "a233a3a-48a7-47cc-9124-d46669cb1a71",
"start_date": "2024-03-01T00:00:00.000Z",
"end_date": "2025-03-01T00:00:00.000Z",
"amount_in_cents": 10000,
"amount_raw": "100",
"status_raw": null,
"custom_data": "Unknown Type: object,null",
"rentable_item_id": "cmgjprasv79183794371b9g9kvrcrejw",
"lease_id": "cmgjprasu79183794371b9g9kvrcrejv",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}